Subject: Re: SEDT (VMS EDT-like editor) under Cygwin ?
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked], [email-masked]
Date: Sun, 28 Nov 2004 22:28:49 +0100

Jim McCarthy wrote:

> Hello --
> 
> SEDT is a VMS-EDT-like editor freely available as C source code for multiple 
> platforms (Windows, Unix, Linux, etc) at http://www.ankersoft.com/Sedt.html
> 
> I have successfully build "sedt.exe" (following the Linux example) under 
> Cygwin/X ... but running it either in the Cygwin console window, and/or in an 
> xterm or rxvt window under Cygwin/X, I encounter strange behavior.  Text 
> entered from the keyboard appears fine on the screeen until I hit <return>, 
> which instead of moving to the start of a new line echoes as ^M (actually, the 
> letter M in reverse-video) on the screen.  This behavior is the same regardless 
> of which SYSTEM=xxxxx setting I use in SEDT's startup configuration file, 
> SEDT.CNF ... (i.e., I've tried xterm, vt100, vt200, vt300, and even IBMAT).
> 
> Any fans of VMS EDT out there who might be sufficiently interested in SEDT 
> under Cygwin to help me troubleshoot these problems ?  Must have something to 
> do with how Cygwin is build on top of MS-Windows (my Windows installation is 
> Windows NT Workstation 4.0, SP6a, and my Cygwin kernel release is 1.5.12 
> (0.116/4/2), built 2004-11-10 08:34; "set" shows term = xterm.
> 
> Thanks for any assistance,

I'm getting this:

$ make
ccache gcc -O -DANSIC -DUNIX -DTERMCAP -DLINUX   -c -o sedt.o sedt.c
sedt.c: In function `strcasecmp':
sedt.c:1297: error: argument "S" doesn't match prototype
/usr/include/string.h:60: error: prototype declaration
sedt.c:1297: error: argument "T" doesn't match prototype
/usr/include/string.h:60: error: prototype declaration
make: *** [sedt.o] Error 1

Have you a patchfile about the changes you needed to apply to the sources?

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/